Bug 88927 - Trusted timestamping for digital signature in ODF
Summary: Trusted timestamping for digital signature in ODF
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2015-01-30 08:21 UTC by Yan Fiz
Modified: 2018-05-12 20:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Fiz 2015-01-30 08:21:43 UTC
Will trusted timestamping feature be added for both LibreOffice files and PDF files to protect files for lifetime in the future versions of LibreOffice?
Comment 1 bfoman (inactive) 2015-02-02 17:13:08 UTC
RESOLVED DUPLICATE of tracker bug 84881.
You can still make a donation.

*** This bug has been marked as a duplicate of bug 84881 ***
Comment 2 Yan Fiz 2015-02-05 09:31:28 UTC
This is not exact duplicate of bug 84881. Because I meant for both OpenDocument and PDF files, not just PDF files.
Comment 3 bfoman (inactive) 2015-02-05 19:36:36 UTC
(In reply to Yan Fiz from comment #2)
> This is not exact duplicate of bug 84881. Because I meant for both
> OpenDocument and PDF files, not just PDF files.

Well, the best is to split such requests as PDF and OpenDocuments are different formats and need separate work, commits and such. Having one bug for all is not a good idea. Instead of reopening this one, I would file new bugs for OpenDocuments only. Just my 2 cents.
Comment 4 Markus Wernig 2015-03-01 13:55:22 UTC
Well, before this can be worked on, I suppose there needs to be a specification for timestamps in ODF documents.
As far as I am aware, there is no notion of digitally signed (RFC 3161) timestamps in the format, right?
So a first step would be to draw up a specification.

And, yes, this should then go into a separate "bug" (i.e. feature request)
Comment 5 tommy27 2017-12-21 06:14:47 UTC
since the PDF issue is fixed (see  bug 84881) let's modify the title of this one regarding ODF.

I'm not familiar with digital signature so I ask to the reporter if this request is still valid in latest LibO 5.4.4 release
Comment 6 Xisco Faulí 2018-01-24 09:25:20 UTC
(In reply to tommy27 from comment #5)
> since the PDF issue is fixed (see  bug 84881) let's modify the title of this
> one regarding ODF.
> 
> I'm not familiar with digital signature so I ask to the reporter if this
> request is still valid in latest LibO 5.4.4 release

Dear Yan Fiz,
Could you please answer the question above?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' once the question is answered
Comment 7 Samuel Mehrbrodt (CIB) 2018-04-03 15:47:35 UTC
Yes this is still not implemented, but looks like a valid enhancement request.

https://en.wikipedia.org/wiki/Trusted_timestamping
Comment 8 Yan Fiz 2018-05-12 20:21:32 UTC
Hello Xisco Faulí,

Sorry for my late replying. After I saw my bug marked unconfirmed, I have given up following it. I noticed it is reactivated now.

When I reported this bug, I had a digital certificate. But it expired, and I didn't renew it. So I can't test it. I have LibreOffice 6.0.4.2 installed on my Windows and it says 'Maintain a list of Time Stamping Authority URLs to be used for digital signatures in PDF export.' in Tools -> Options -> LibreOffice -> Security -> TSAs. What I understand form that description and from Samuel Mehrbrodt's comment is, trusted timestamping still cannot be applied for OpenDocument files.

Thank you.